/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include <stdio.h>

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    char ONDAS[40];
    int V0;

    UART_Start();
    Opamp_1_Start();
    Opamp_2_Start();
    Opamp_3_Start();
    Opamp_4_Start();
    ADC_Start() ;
    ADC_Init();
    ADC_StartConvert();
    //Opamp_1_SetPower(Opamp_1_HIGH_POWER);
    //Opamp_2_SetPower(Opamp_2_HIGH_POWER);
    //Opamp_3_SetPower(Opamp_3_HIGH_POWER);
    //Opamp_4_SetPower(Opamp_4_HIGH_POWER);
   
    
    while(1)
    {
        ADC_IsEndConversion(ADC_WAIT_FOR_RESULT);
        V0 = ADC_GetResult16(0);
        
        sprintf(ONDAS, "%d\r\n", V0);
        UART_UartPutString(ONDAS);
        CyDelay(50);
    }
}

/* [] END OF FILE */
