/*******************************************************************************
* File Name: LA.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LA_ALIASES_H) /* Pins LA_ALIASES_H */
#define CY_PINS_LA_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define LA_0			(LA__0__PC)
#define LA_0_PS		(LA__0__PS)
#define LA_0_PC		(LA__0__PC)
#define LA_0_DR		(LA__0__DR)
#define LA_0_SHIFT	(LA__0__SHIFT)
#define LA_0_INTR	((uint16)((uint16)0x0003u << (LA__0__SHIFT*2u)))

#define LA_INTR_ALL	 ((uint16)(LA_0_INTR))


#endif /* End Pins LA_ALIASES_H */


/* [] END OF FILE */
