/*******************************************************************************
* File Name: RL.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RL_ALIASES_H) /* Pins RL_ALIASES_H */
#define CY_PINS_RL_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define RL_0			(RL__0__PC)
#define RL_0_PS		(RL__0__PS)
#define RL_0_PC		(RL__0__PC)
#define RL_0_DR		(RL__0__DR)
#define RL_0_SHIFT	(RL__0__SHIFT)
#define RL_0_INTR	((uint16)((uint16)0x0003u << (RL__0__SHIFT*2u)))

#define RL_INTR_ALL	 ((uint16)(RL_0_INTR))


#endif /* End Pins RL_ALIASES_H */


/* [] END OF FILE */
