/*******************************************************************************
* File Name: SAIDA.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SAIDA_ALIASES_H) /* Pins SAIDA_ALIASES_H */
#define CY_PINS_SAIDA_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define SAIDA_0			(SAIDA__0__PC)
#define SAIDA_0_PS		(SAIDA__0__PS)
#define SAIDA_0_PC		(SAIDA__0__PC)
#define SAIDA_0_DR		(SAIDA__0__DR)
#define SAIDA_0_SHIFT	(SAIDA__0__SHIFT)
#define SAIDA_0_INTR	((uint16)((uint16)0x0003u << (SAIDA__0__SHIFT*2u)))

#define SAIDA_INTR_ALL	 ((uint16)(SAIDA_0_INTR))


#endif /* End Pins SAIDA_ALIASES_H */


/* [] END OF FILE */
